Module
Contents
Index 🔎︎
\<bookmark_value\>Left function\</bookmark_value\>

# Left Function

Returns the number of leftmost characters that you specify of a string expression.

## Syntax:

    Left (Text As String, n As Long)

## Return value:

String

## Parameters:

\<emph\>Text:\</emph\> Any string expression that you want to return the leftmost characters from.

\<emph\>n:\</emph\> Numeric expression that specifies the number of characters that you want to return. If \<emph\>n\</emph\> = 0, a zero-length string is returned. The maximum allowed value is 65535.

The following example converts a date in YYYY.MM.DD format to MM/DD/YYYY format.

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleUSDate

    Dim sInput As String

    Dim sUS_date As String

        sInput = InputBox("Please input a date in the international format 'YYYY-MM-DD'")

        sUS_date = Mid(sInput, 6, 2)

        sUS_date = sUS_date & "/"

        sUS_date = sUS_date & Right(sInput, 2)

        sUS_date = sUS_date & "/"

        sUS_date = sUS_date & Left(sInput, 4)

        MsgBox sUS_date

    End Sub